Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface TargetPlatform

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface TargetPlatform

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Target Platform'. [[ TODO - add documentation here ]]

The following features are supported:

- `Code`

See Also:
  `ServicegenPackage.getTargetPlatform()`

Method Summary
`TargetPlatformCodes` | `getCode()` Returns the value of the 'Code' attribute.
`void` | `setCode(TargetPlatformCodes value)` Sets the value of the '`Code`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCode

    TargetPlatformCodes getCode()

  Returns the value of the 'Code' attribute. The literals are from the enumeration `TargetPlatformCodes`.

  If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Code' attribute.
  See Also:
    `TargetPlatformCodes`, `setCode(TargetPlatformCodes)`, `ServicegenPackage.getTargetPlatform_Code()`

### setCode

    void setCode(TargetPlatformCodes value)

  Sets the value of the '`Code`' attribute.

  Parameters:
    `value` - the new value of the 'Code' attribute.
  See Also:
    `TargetPlatformCodes`, `getCode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD